# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           devede
Summary:        Video DVD creator
Version:        4.16.0
Release:        3.2
License: GPL-3.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
BuildArch:      noarch
URL:            https://gitlab.com/rastersoft/devedeng
Source:         %{name}-%{version}.tar.xz
Provides:       devedeng = %{version}-%{release}
Obsoletes:      devedeng < %{version}-%{release}
BuildRequires:  fdupes
BuildRequires:  pkgconfig(python3)
BuildRequires:  update-desktop-files
Requires:       dvdauthor
Requires:       ffmpeg
Requires:       mimehandler(application/x-cd-image)
Requires:       mkisofs
Requires:       python3-cairo
Requires:       python3-gobject
Requires:       vcdimager
Requires:       vlc

%description
DeVeDe is a program that allows you to create a video DVD from
an MPEG, AVI, MOV... video file, suitable for home DVD players.

DeVeDe uses MPlayer, Mencoder, DVDAuthor and VCDimager, so you
can use any video playable with MPlayer.

%lang_package

%prep
%autosetup -p1

%build
python3 ./setup.py build

%install
python3 ./setup.py install \
 --prefix="%{_prefix}" \
 --root="%{buildroot}"

rm -rf "%{buildroot}%{_datadir}/doc"
rm -rf "%{buildroot}%{_datadir}/applications"

%suse_update_desktop_file -c '%{name}' '%{name}' '%{name}' 'devede_ng.py' 'devedeng_icon' AudioVideo AudioVideoEditing
find '%{buildroot}' -name "*.desktop" -print0 | xargs -0 head -n 123

pushd '%{buildroot}'
for i in .%{_datadir}/locale/*
do
  test -d "$i" || continue
  test -d "/$i" && continue
  rm -rfv "$i"
done
popd
%find_lang "%{name}ng"

%fdupes -s '%{buildroot}%{_datadir}/'

%files lang -f %{name}ng.lang

%files
%license COPYING
%{python3_sitelib}/*
%{_bindir}/*
%{_datadir}/%{name}ng
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_mandir}/*/*

%changelog
* Mon Jan 13 2020 olaf@aepfle.de
- Update to devedeng-4.16
* Fri Dec 26 2014 obs@botter.cc
- Require /usr/bin/mkisofs instead of just mkisofs [PM-113]
* Wed Nov 13 2013 obs@botter.cc
- Buildrequire cdrkit-cdrtools-compat instead of mkisofs for >= 1310
* Thu May 24 2012 pascal.bleser@opensuse.org
- update to 3.22.0:
  * allows the user to choose which coder to use for videos and which for menus
  * allows the user to choose to use or not use hyperthreading
  * sets the audio bitrate in menus to 192Kbps and the video bitrate to
    2500Kbps
  * provides graceful degradation when the locale is unknown
* Sun Jan  1 2012 pascal.bleser@opensuse.org
- update to 3.21.0:
  * fixes a bug when creating a DVD with more than one page in its menu
  * now FFMpeg is the default backend
* Sat Dec 10 2011 pascal.bleser@opensuse.org
- update to 3.20.0:
  * now copies all the audio tracks to the output when using FFMpeg
  * support for changing volume in FFMpeg
  * allows you to change the margins in a DVD menu
  * fixes several dialogs that failed when answering "No"
  * support for getting the number of CPUs using the multiprocessing module
  * an issue when the aspect ratio was NaN has been fixed
  * there is a new background image
  * the .m2ts extension has been added as a video file type
  * the French translation has been fixed, and a Turkish translation added
* Sun Nov 27 2011 pascal.bleser@opensuse.org
- update to 3.19.0:
  * fixes a bug with FFMPEG support that froze Devede when using the last
    official version
  * drag and drop support in KDE
  * the ability to burn the ISO image directly after creating it
  * checks that MP3LAME support is available when creating DivX with FFMPEG
  * correctly sets the audio bit rate when creating DivX with FFMPEG
  * updated Italian translation
  * minor bugfixes
* Tue Nov 22 2011 pascal.bleser@opensuse.org
- update to 3.18.0:
  * adds FFMpeg support
  * fixes menu previsualization
  * can automatically shut down the computer when the job is done
  * always shows icons in buttons
  * fixes a bug which prevented returning to the main window when aborting
* Tue Jul 19 2011 fisiu@opensuse.org
- update to 3.17.0:
  + Fixed a bug in MKISOFS (show dots instead commas in decimals)
  + Defines the VIDEO_FORMAT environment variable
  + AC3_FIX for current MENCODER versions
  + Other little bugfixes
* Fri Jul 30 2010 toni@links2linux.de
- update to 3.16.9
- Added the license in the About dialog
- Added hungarian translation
* Mon Apr 19 2010 toni@links2linux.de
- update to 3.16.8
- Fixed a bug which prevented to create VCD, sVCD and CVD
* Sun Apr 11 2010 toni@links2linux.de
- update to 3.16.7
- Video info is updated when changing selection with arrow keys
- Allows up to 448Kbps for audio when using AC3
* Fri Mar 19 2010 toni@links2linux.de
- update to 3.16.6
- Buttons in main window now has a border, like all other buttons
- Desktop launcher now shows a much more HIG-compliant description
- Pressing RETURN key in Title properties and Create disc dialogs has
  the same effect than the Accept button
* Thu Mar 11 2010 toni@links2linux.de
- update to 3.16.5
- Don't show by default the subtitles in MKV files
* Wed Feb 24 2010 toni@links2linux.de
- update to 3.16.4
- Adjusts the audio bitrate to the nearest legal value supported in mencoder
- Allows blank spaces in the subtitles filename
* Sun Feb 21 2010 toni@links2linux.de
- update to 3.16.2
- Fixed the audio bitrate when using 5.1 sound
- Fixed a hang when repacking MPEG files instead of reencoding them
- Fixed Galician translation
* Mon Feb  8 2010 toni@links2linux.de
- update to 3.16.0
- Support for two-pass encoding and for 64-bit Windows.
- Allows you to change the final volume.
- Now remembers the last output directory used, and the last subtitle
  language and codepage.
- Support for UTF-16 subtitles.
- Autodetects ASCII, UTF-8, and UTF-16 subtitles.
- Allows you to create DVDs without a menu.
- Allows you to force the subtitles by default.
- Flushes stdout and stderr at the end, so it should finally allow full
  debugging info.
* Mon Dec  7 2009 toni@links2linux.de
- update to 3.15.2
* Tue Dec  1 2009 toni@links2linux.de
- adjusted devede.py for new installation directory /usr/share/devede
* Mon Nov 30 2009 toni@links2linux.de
- update to 3.15.1
- Fixed a bug when the program can't write the subtitle's XML file
- Added Miguel Bouzada to the list of translators
* Fri Nov 27 2009 toni@links2linux.de
- update to 3.15
- split off lang sub-package
- move python files also to /usr/share/devede to avoid libdir in noarch package
* Tue Oct 27 2009 toni@links2linux.de
- update to 3.14
  * Now doesn't add black bars when creating an NTSC disc from an 720x480 file without ASPECT RATIO parameter embedded
  * Allows to repack a file as MPEG-PS without recompress the streams (useful to work with VOB files)
  * Allows to swap the field order in interlaced videos
  * Allows to change the subtitle's font size
  * Now supports subtitle filenames with XML-reserved characters
  * Supports all picture types for menu backgrounds (not only PNG)
  * Now removes previous preview files if they already existed, when using LN
  * Fixed free disk space calcule in Windows 2000 and the SetPriority function (thanks to Peter Gill)
  * Adjusted the media sizes to ensure that the ISOs always will fit in the disc
  * Now doesn't hangs when adding a video file in an unknown format
* Wed Jan 28 2009 toni@links2linux.de
- update to 3.12c
* Sun Jan 25 2009 toni@links2linux.de
- update to 3.12
* Thu Aug 28 2008 toni@links2linux.de
- update to 3.11b
* Sun Aug 17 2008 toni@links2linux.de
- update to 3.10
* Tue Jun 24 2008 toni@links2linux.de
- update to 3.9
* Fri Jun  6 2008 toni@links2linux.de
- update to 3.8c
* Sun May 25 2008 toni@links2linux.de
- update to 3.8
* Wed Apr 16 2008 toni@links2linux.de
- update to 3.7
* Wed Dec 12 2007 toni@links2linux.de
- update to 3.6
* Sat Dec  8 2007 toni@links2linux.de
- update to 3.5
* Thu Nov 22 2007 toni@links2linux.de
- update to 3.4
* Sat Sep 22 2007 toni@links2linux.de
- update to 3.3
* Sun Sep 16 2007 toni@links2linux.de
- update to 3.2
* Mon Sep 10 2007 toni@links2linux.de
- update to 3.1b
* Sun Sep  9 2007 toni@links2linux.de
- update to 3.1
* Sat Jun 30 2007 toni@links2linux.de
- update to 3.01
* Sat Jun 23 2007 toni@links2linux.de
- update to 3.0
* Mon Apr 16 2007 toni@links2linux.de
- update to 2.13
* Sun Feb 25 2007 toni@links2linux.de
- update to 2.12
- changed %%%%install to use provided install.sh
* Thu Feb  8 2007 toni@links2linux.de
- update to 2.11
* Wed Jan 17 2007 toni@links2linux.de
- update to 2.10
* Sun Dec 31 2006 toni@links2linux.de
- update to 2.9
* Wed Dec 20 2006 toni@links2linux.de
- update to 2.8
* Mon Dec 18 2006 toni@links2linux.de
- update to 2.7
* Mon Oct 30 2006 toni@links2linux.de
- update to 2.6
* Fri Oct 13 2006 toni@links2linux.de
- update to 2.5
* Sat Oct  7 2006 toni@links2linux.de
- corrected: python < PYTHON-NOT-FOUND is needed by devede-2.4a-0.pm.1.noarch
* Wed Oct  4 2006 toni@links2linux.de
- update to 2.4a
* Mon Sep 25 2006 toni@links2linux.de
- correctied missing files
* Sun Sep 24 2006 toni@links2linux.de
- update to 2.4
* Sat Sep 16 2006 toni@links2linux.de
- build for packman
* Sat Sep  2 2006 oc2pus@arcor.de 2.3-0.oc2pus.1
- update to 2.3
* Fri Aug 18 2006 oc2pus@arcor.de 2.2-0.oc2pus.1
- update to 2.2
* Wed Jul  5 2006 oc2pus@arcor.de 2.1-0.oc2pus.1
- update to 2.1
* Mon Jun 19 2006 oc2pus@arcor.de 2.0-0.oc2pus.1
- initial release 2.0
